from setuptools import setup, find_namespace_packages

setup(
    name="calculadorapnav",
    version="1.0.1",
    author="PNAV",
    include_package_data=True,
    author_email="tu.email@example.com",
    description="Una librería para cálculos de CO2",
    long_description=open("README.md", encoding="utf-8").read(),
    long_description_content_type="text/markdown",
    url="",
    packages=find_namespace_packages(include=["calculadorapnav*"]),
    install_requires=[
        "arrow>=1.2.3,<2.0",
        "click>=8.0,<9.0",
        "fief-client[cli]>=0.9,<1.0",
        "pandas>=1.5.0,<2.0",
        "numpy>=1.25,<2.0",
        "psutil>=5.8,<6.0",
        "py-cpuinfo>=7.0,<8.0",
        "pydantic>=1.8,<2.11.5",
        "pynvml>=11.0,<12.0",
        "rapidfuzz>=1.7,<3.11.0",
        "requests>=2.25,<3.0",
        "questionary>=1.10,<2.0",
        "rich>=10.0,<13.0",
        "typer>=0.4,<1.0",
        "tensorflow>=2.6,<2.19",
        "torch>=1.10,<=2.7.1",
        "protobuf>=3.20.0,<3.21",
    ],
    extras_require={"dev": ["pytest", "coverage"]},
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "Natural Language :: Spanish",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Programming Language :: Python :: 3.12",
    ],
    license="MIT",
    python_requires=">=3.9,<3.13",
)
